=== debian/changelog ===
samba (2:3.6.6-6+deb7u7) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * s3:smbd: fix a corner case of the symlink verification.
    Address regression introduced by the patch for CVE-2015-5252. For the
    share path "/", the introduced checks deny all operations in the share.
    (Closes: #812429)
  * CVE-2015-7560: Incorrect ACL get/set allowed on symlink path

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 11 Mar 2016 21:14:09 +0100

samba (2:3.6.6-6+deb7u6) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Refresh waf-as-source.patch patch
  * Add CVE-2015-5252-v3-6-bso11395.patch patch.
    CVE-2015-5252: Insufficient symlink verification in smbd.
  * Add CVE-2015-5299-v3-6-bso11529.patch patch.
    CVE-2015-5299: Missing access control check in shadow copy code.
  * Add CVE-2015-5296-v3-6-bso11536.patch patch.
    CVE-2015-5296: Samba client requesting encryption vulnerable to
    downgrade attack.

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 22 Dec 2015 08:33:25 +0100

samba (2:3.6.6-6+deb7u5) wheezy-security; urgency=high

  * Security update
  * CVE-2015-0240: Unauthenticated code execution attack on smbd file
    services

 -- Ivo De Decker <ivodd@debian.org>  Thu, 19 Feb 2015 23:00:48 +0100

samba (2:3.6.6-6+deb7u4) wheezy-security; urgency=high

  * Security update
  * CVE-2014-0178: Uninitialized memory exposure when handling shadow_copy
    data
  * CVE-2014-0244: nmbd denial of service
  * CVE-2014-3493: smbd denial of service: server crash/memory corruption

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sun, 22 Jun 2014 13:18:03 +0200

samba (2:3.6.6-6+deb7u3) wheezy; urgency=medium

  * Security update
  * CVE-2012-6150: pam_winbind login without require_membership_of
    restrictions
  * CVE-2013-4496: Password lockout not enforced for SAMR password changes

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sun, 13 Apr 2014 20:33:47 +0200

samba (2:3.6.6-6+deb7u2) wheezy-security; urgency=high

  * Security update
  * CVE-2013-4475: ACLs are not checked on opening an alternate data stream on
    a file or directory
  * CVE-2013-4408: DCE-RPC fragment length field is incorrectly checked

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Tue, 03 Dec 2013 10:15:06 +0100

samba (2:3.6.6-6+deb7u1) wheezy; urgency=low

  * Security update
  * CVE-2013-4124: Denial of service - CPU loop and memory allocation
    Closes: #718781

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Thu, 15 Aug 2013 12:06:17 +0200

samba (2:3.6.6-6) unstable; urgency=low

  * Team upload.
  * Move binary files out of /etc/samba to /var/lib/samba,
    where they belong according to the FHS:
    - schannel_store.tdb
    - idmap2.tdb
    - MACHINE.sid
    Closes: #454770

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Mon, 15 Apr 2013 23:56:23 +0200

samba (2:3.6.6-5) unstable; urgency=high

  * Security update
  * CVE-2013-0213: Clickjacking issue in SWAT
  * CVE-2013-0214: Potential XSRF in SWAT

 -- Christian Perrier <bubulle@debian.org>  Wed, 30 Jan 2013 18:49:32 +0100

samba (2:3.6.6-4) unstable; urgency=low

  * Fix printers tdb migration by including an upstream fix
    from 3.6.7 (upstream bug #9026)
    Closes: #696675

 -- Christian Perrier <bubulle@debian.org>  Sat, 05 Jan 2013 12:42:02 +0100

samba (2:3.6.6-3) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/rules: Use xz compression for binary packages.
    Closes: #683899

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Aug 2012 12:19:12 +0200

samba (2:3.6.6-2) unstable; urgency=low

  * Restore the DHCP hook.

 -- Steve Langasek <vorlon@debian.org>  Wed, 27 Jun 2012 09:31:15 -0700

samba (2:3.6.6-1) unstable; urgency=low

  [ Ivo De Decker ]
  * Only enable swat in inetd.conf on first install. Closes: #658245 
  * Minor lintian fixes. 
  * Remove DHCP hook. Closes: #652942, #629406, #649100
  * Don't reload smbd when running from inetd. Closes: #678741 
  * Don't start smbd when guest account doesn't exist. Closes: #653382
  * Only export public symbols in libsmbclient and libwbclient.

  [ Christian Perrier ]
  * New upstream version

 -- Christian Perrier <bubulle@debian.org>  Wed, 27 Jun 2012 06:03:17 +0200

samba (2:3.6.5-7) unstable; urgency=low

  * Allow installing smbclient package together with newer versions of
    samba4-clients, which no longer ship the smbclient and nmblookup
    binaries.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 11 Jun 2012 13:19:24 +0200

samba (2:3.6.5-6) unstable; urgency=high

  [ Ivo De Decker ]
  * Update symbols file for linux-only symbols in libsmbclient. This should
    fix the FTBFS on kfreebsd and hurd. Closes: #676170
  * Enable ctdb for non-linux archs. 
  * Remove old if-up script during upgrade.

 -- Christian Perrier <bubulle@debian.org>  Wed, 06 Jun 2012 19:10:02 +0200

samba (2:3.6.5-5) unstable; urgency=low

  [ Christian Perrier ]
  * Make libpam-winbind depend on libnss-winbind.

  [ Ivo De Decker ]
  * Update symbols file for libsmbclient and libwbclient0
  * Add lintian overrides for examples in samba-doc
  * libpam-winbind: change Depends on libnss-winbind to Recommends
  * libnss-winbind: Suggests libpam-winbind
  * Update package description for winbind, libpam-winbind and libnss-winbind
    to better reflect their content
  * Backport vfs_shadow_copy2 from master, to allow shadow copy to work
    without wide links

  [ Luk Claes ]
  * Ship wbclient.pc file in multiarch safe directory (Closes: #674215).

  [ Sam Morris ]
  * Add libutil_drop_AI_ADDRCONFIG.patch  that allows running nmbd when
    no network interfaces have been assigned an address, therefore
    removing the need for an if-up script. Closes: #640668,#640508

 -- Christian Perrier <bubulle@debian.org>  Sun, 03 Jun 2012 20:00:56 +0200

samba (2:3.6.5-3) unstable; urgency=low

  [ Luk Claes ]
  * Ship wbclient.pc so cifs-utils can be built again (Closes: #672733).
  * Activate parallel building. Might need DEB_BUILD_OPTIONS as usual.


