=== debian/control ===
Source: samba
Section: net
Priority: optional
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Steve Langasek <vorlon@debian.org>, Christian Perrier <bubulle@debian.org>, Noèl Köthe <noel@debian.org>, Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>= 9~), libpam0g-dev, libreadline-dev,
	libcups2-dev,
	libacl1-dev [linux-any],
	libkrb5-dev(>= 1.10+dfsg~), libldap2-dev , po-debconf, libpopt-dev, uuid-dev,
	libtalloc-dev (>= 2.0.1-1~bpo50+1),
	libtdb-dev (>= 1.2.6~),
	libcap-dev [linux-any],
	libkeyutils-dev [linux-any],
	libctdb-dev (>= 1.10+git20110412),
	pkg-config
Build-Conflicts: libfam-dev,python-ldb,python-ldb-dev
Standards-Version: 3.9.3
Homepage: http://www.samba.org
Vcs-Browser: http://svn.debian.org/wsvn/pkg-samba/trunk/samba/
Vcs-Svn: svn://svn.debian.org/svn/pkg-samba/trunk/samba

Package: samba
Architecture: any
Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6~)
Depends: samba-common (= ${source:Version}), libwbclient0 (= ${binary:Version}),${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 1.0.1-11), libpam-modules, lsb-base (>= 3.2-13), procps, update-inetd, adduser
Recommends: logrotate, tdb-tools
Suggests: openbsd-inetd | inet-superserver, smbldap-tools, ldb-tools, ctdb
Replaces: samba-common (<= 2.0.5a-2)
Conflicts: samba4 (<< 4.0.0~alpha6-2)
Description: SMB/CIFS file, print, and login server for Unix
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.  Samba can also function
 as an NT4-style domain controller, and can integrate with both NT4 domains
 and Active Directory realms as a member server.
 .
 This package provides the components necessary to use Samba as a
 stand-alone file and print server.  For use in an NT4 domain or Active
 Directory realm, you will also need the winbind package.
 .
 This package is not required for connecting to existing SMB/CIFS servers
 (see smbclient) or for mounting remote filesystems (see cifs-utils).

Package: samba-common-bin
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, samba-common (>= 2:3.4.0~pre1-2)
Pre-Depends: dpkg (>= 1.15.6~)
Replaces: samba (<< 3.0.20b-1), samba-common (<< 2:3.4.0~pre1-2)
Description: common files used by both the Samba server and client
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains files and programs needed by Samba when used as
 either a client or a server.

Package: samba-common
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6~)
Depends: ucf, ${misc:Depends}
Replaces: samba (<< 3.0.20b-1), samba4-common (<< 4.0.0~alpha7-1)
Conflicts: samba4-common (<< 4.0.0~alpha7-1)
Recommends: samba-common-bin
Description: common files used by both the Samba server and client
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains common files used by both Samba 3 and Samba 4.

Package: samba-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6~)
Conflicts: samba4, samba4-testsuite
Description: Samba testing utilities
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains extra command-line tools such as smbtorture for
 performance-testing CIFS servers and clients.

Package: smbclient
Architecture: any
Depends: samba-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6~)
Replaces: samba (<< 2.999+3.0.alpha21-4), smbget
Provides: samba-client
Suggests: cifs-utils
Conflicts: samba4-clients (<< 4.0.0~beta1+dfsg1-1)
Description: command-line SMB/CIFS clients for Unix
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains command-line utilities for accessing Microsoft
 Windows and Samba servers, including smbclient, smbtar, and smbspool.
 Utilities for mounting shares locally are found in the package
 cifs-utils.

Package: swat
Architecture: any
Depends: samba (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, openbsd-inetd | inet-superserver
Pre-Depends: dpkg (>= 1.15.6~)
Recommends: samba-doc (= ${source:Version})
Description: Samba Web Administration Tool
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package allows you to administer a Samba server via a web browser.
 .
 SWAT is no longer actively maintained, and its default configuration is
 not secure for use over an untrusted network.  SWAT will also rewrite
 smb.conf, rearranging the entries and deleting all comments as well as
 include= and copy= options, so is not suitable for use in conjunction
 with hand-edited smb.conf files or the default package-managed
 configuration.

Package: samba-doc
Section: doc
Architecture: all
Suggests: samba-doc-pdf
Depends: ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6~)
Description: Samba documentation
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains all the non-PDF documentation for the Samba
 suite. See also samba-doc-pdf.

Package: samba-doc-pdf
Section: doc
Architecture: all
Depends: ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6~)
Description: Samba documentation in PDF format
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains all the PDF documentation for the Samba suite.

Package: libpam-smbpass
Section: admin
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, samba-common (= ${source:Version}), ${misc:Depends},
	 libpam-runtime (>= 1.0.1-6)
Pre-Depends: dpkg (>= 1.15.6~)
Suggests: samba
Description: pluggable authentication module for Samba
 This is a module for PAM that enables a system administrator to migrate
 user passwords from the Unix password database to the SMB password
 database as used by Samba, and to subsequently keep the two databases in
 sync.  Unlike other solutions, it does this without needing users to log
 in to Samba using cleartext passwords, or requiring them to change their
 existing passwords.

Package: libsmbclient
Section: libs
Priority: optional
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: shared library for communication with SMB/CIFS servers
 This package provides a shared library that enables client applications
 to talk to Microsoft Windows and Samba servers using the SMB/CIFS
 protocol.

Package: libsmbclient-dev
Section: libdevel
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libsmbclient (= ${binary:Version}), ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6~)
Description: development files for libsmbclient
 This package provides the development files (static library and headers)
 required for building applications against libsmbclient, a library that
 enables client applications to talk to Microsoft Windows and Samba servers
 using the SMB/CIFS protocol.

Package: winbind
Section: net
Priority: optional
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libwbclient0 (= ${binary:Version}), samba-common (= ${source:Version}), lsb-base (>= 3.0-6), adduser
Pre-Depends: dpkg (>= 1.15.6~)
Recommends: libpam-winbind, libnss-winbind
Replaces: samba (<= 2.2.3-2)
Description: Samba nameservice integration server
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.  Samba can also function
 as an NT4-style domain controller, and can integrate with both NT4 domains
 and Active Directory realms as a member server.
 .
 This package provides winbindd, a daemon which integrates authentication
 and directory service (user/group lookup) mechanisms from a Windows
 domain on a Linux system.
 .
 Winbind based user/group lookups via /etc/nsswitch.conf can be enabled via
 the libnss-winbind package. Winbind based Windows domain authentication can
 be enabled via the libpam-winbind package.
 

Package: libpam-winbind
Section: net
Priority: optional
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends}, ${misc:Depends}, winbind (= ${binary:Version}), libwbclient0 (= ${binary:Version}), samba-common (= ${source:Version}), libpam-runtime (>= 1.0.1-6), libpam0g (>= 1.1.3-2~)
Recommends: libnss-winbind
Breaks: winbind (<< 2:3.5.11~dfsg-3)
Replaces: samba (<= 2.2.3-2), winbind (<< 2:3.5.11~dfsg-3)
Description: Windows domain authentication integration plugin
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.  Samba can also function
 as an NT4-style domain controller, and can integrate with both NT4 domains
 and Active Directory realms as a member server.
 .
 This package provides pam_winbind, a plugin that integrates with a local
 winbindd server to provide Windows domain authentication to the system.

Package: libnss-winbind
Section: net
Priority: optional
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends}, ${misc:Depends}, winbind (= ${binary:Version}), libwbclient0 (= ${binary:Version}), samba-common (= ${source:Version})
Breaks: libpam-winbind (<< 2:3.6.5-2), winbind (<< 2:3.5.11~dfsg-3)
Replaces: libpam-winbind (<< 2:3.6.5-2), samba (<= 2.2.3-2), winbind (<< 2:3.5.11~dfsg-3)
Suggests: libpam-winbind
Description: Samba nameservice integration plugins
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.  Samba can also function
 as an NT4-style domain controller, and can integrate with both NT4 domains
 and Active Directory realms as a member server.
 .
 This package provides nss_winbind, a plugin that integrates
 with a local winbindd server to provide user/group name lookups to the
 system; and nss_wins, which provides hostname lookups via both the NBNS and
 NetBIOS broadcast protocols.

Package: samba-dbg
Section: debug
Priority: extra
Architecture: any
Depends: samba (= ${binary:Version}), ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6~)
Description: Samba debugging symbols
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package provides debugging information for the software in the
 Samba suite. Install it to get a better backtrace in the event of a
 crash.

Package: libwbclient0
Section: libs
Priority: optional
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks:
 libpam-smbpass (<< 2:3.4.1),
 libsmbclient (<< 2:3.4.1),
 samba-common (<< 2:3.4.1),
 samba-tools (<< 2:3.4.1),
 samba (<< 2:3.4.1),
 smbclient (<< 2:3.4.1),
