## samba 3.6.9

=== debian/changelog ===
samba (2:3.6.9-1ubuntu1) raring; urgency=low

  * Merge from Debian experimental, remaining changes: 
    + debian/patches/VERSION.patch:
      - set SAMBA_VERSION_SUFFIX to Ubuntu.
    + debian/smb.conf:
      - add "(Samba, Ubuntu)" to server string.
      - comment out the default [homes] share, and add a comment about
        "valid users = %S" to show users how to restrict access to
        \\server\username to only username.
    + debian/samba-common.config:
      - Do not change priority to high if dhclient3 is installed.
      - Use priority medium instead of high for the workgroup question.
    + debian/control:
      - Don't build against or suggest ctdb.
      - Add dependency on samba-common-bin to samba.
    + Add ufw integration:
      - Created debian/samba.ufw.profile
      - debian/rules, debian/samba.install: install profile.
      - debian/control: have samba suggest ufw.
    + Add apport hook:
      - Created debian/source_samba.py.
      - debian/rules, debian/samba-common-bin.install: install hook.
    + Switch to upstart:
      - Added debian/samba.{nmbd,smbd}.upstart.
      - Added debian/winbind.upstart.
      - debian/samba.logrotate, debian/samba-common.dhcp, debian/samba.if-up:
        Make upstart compatible.
    + d/rules: Drop explicit configuration options for ctdb.
  * Dropped changes; included upstream:
    + d/patches/cups-1.6.1_compat.patch: Cherry picked patch from upstream VCS
      for compatibility with cups >= 1.6.
    + Change "net share allowedusers" to use RPC call that works with
      Microsoft Windows 2008 r2.

 -- James Page <james.page@ubuntu.com>  Fri, 23 Nov 2012 14:34:04 +0000

samba (2:3.6.9-1) experimental; urgency=low

  * New upstream release

 -- Christian Perrier <bubulle@debian.org>  Thu, 01 Nov 2012 08:17:29 +0100

samba (2:3.6.8-1) experimental; urgency=low

  * New upstream release.

 -- Christian Perrier <bubulle@debian.org>  Tue, 18 Sep 2012 07:13:41 +0200

samba (2:3.6.7-1) experimental; urgency=low

  * New upstream release.

 -- Christian Perrier <bubulle@debian.org>  Sat, 11 Aug 2012 21:37:38 +0200

samba (2:3.6.6-3ubuntu5) quantal; urgency=low

  * Change "net share allowedusers" to use RPC call that works with
    Microsoft Windows 2008 r2 (LP: #1061244).

 -- Olly Betts <olly@survex.com>  Fri, 05 Oct 2012 12:52:33 +0100

samba (2:3.6.6-3ubuntu4) quantal; urgency=low

  * Drop --upstart-only option when installing upstart configuration for
    winbind - its not required in this case. 

 -- James Page <james.page@ubuntu.com>  Wed, 12 Sep 2012 21:08:52 +0100

samba (2:3.6.6-3ubuntu3) quantal; urgency=low

  * Decouple startup of smbd from cups (LP: #1047262):
    - d/samba.smbd.upstart: Revert changes made in 2:3.6.6-3ubuntu2.
    - d/samba.reload-smbd.upstart: Add upstart task which reloads smbd
      once cups has started, ensuring that smbd startup is decoupled
      from cups.
    - d/rules: Install reload-smbd upstart configuration, don't try to 
      start on install.
  * Install winbind upstart configuration file with --upstart-only option
    for consistency with samba package.

 -- James Page <james.page@ubuntu.com>  Wed, 12 Sep 2012 13:24:16 +0100

samba (2:3.6.6-3ubuntu2) quantal; urgency=low

  * Ensure samba can query cups for printer information on startup
    (LP: #1047262):
    - d/samba.smbd.upstart: Optionally wait for cups to be in state
      'running' if cups is installed.

 -- James Page <james.page@ubuntu.com>  Fri, 07 Sep 2012 10:58:08 +0100

samba (2:3.6.6-3ubuntu1) quantal; urgency=low

  * Merge from Debian unstable; remaining changes:
    + debian/patches/VERSION.patch:
      - set SAMBA_VERSION_SUFFIX to Ubuntu.
    + debian/smb.conf:
      - add "(Samba, Ubuntu)" to server string.
      - comment out the default [homes] share, and add a comment about
        "valid users = %S" to show users how to restrict access to
        \\server\username to only username.
    + debian/samba-common.config:
      - Do not change priority to high if dhclient3 is installed.
      - Use priority medium instead of high for the workgroup question.
    + debian/control:
      - Don't build against or suggest ctdb.
      - Add dependency on samba-common-bin to samba.
    + Add ufw integration:
      - Created debian/samba.ufw.profile
      - debian/rules, debian/samba.install: install profile.
      - debian/control: have samba suggest ufw.
    + Add apport hook:
      - Created debian/source_samba.py.
      - debian/rules, debian/samba-common-bin.install: install hook.
    + Switch to upstart:
      - Added debian/samba.{nmbd,smbd}.upstart.
      - Added debian/winbind.upstart.
      - debian/samba.logrotate, debian/samba-common.dhcp, debian/samba.if-up:
        Make upstart compatible.
    + d/rules: Drop explicit configuration options for ctdb.
  * d/patches/cups-1.6.1_compat.patch: Cherry picked patch from upstream VCS
    for compatibility with cups >= 1.6. 

 -- James Page <james.page@ubuntu.com>  Wed, 08 Aug 2012 10:36:23 +0000

samba (2:3.6.6-2ubuntu1) quantal; urgency=low

  * Merge from Debian unstable; remaining changes: 
    + debian/patches/VERSION.patch:
      - set SAMBA_VERSION_SUFFIX to Ubuntu.
    + debian/smb.conf:
      - add "(Samba, Ubuntu)" to server string.
      - comment out the default [homes] share, and add a comment about
        "valid users = %S" to show users how to restrict access to
        \\server\username to only username.
    + debian/samba-common.config:
      - Do not change priority to high if dhclient3 is installed.
      - Use priority medium instead of high for the workgroup question.
    + debian/control:
      - Don't build against or suggest ctdb.
      - Add dependency on samba-common-bin to samba.
    + Add ufw integration:
      - Created debian/samba.ufw.profile
      - debian/rules, debian/samba.install: install profile.
      - debian/control: have samba suggest ufw.
    + Add apport hook:
      - Created debian/source_samba.py.

