## samba 3.6.18

=== debian/changelog ===
samba (2:3.6.18-1ubuntu3.3) saucy-security; urgency=medium

  * SECURITY UPDATE: info leak via SRV_SNAPSHOT_ARRAY response field
    - debian/patches/CVE-2014-0178.patch: don't return uninitialized data
      and extra bytes in source3/smbd/nttrans.c.
    - CVE-2014-0178
  * SECURITY UPDATE: denial of service on nmbd malformed packet
    - debian/patches/CVE-2014-0244.patch: return on EWOULDBLOCK/EAGAIN in
      source3/lib/system.c.
    - CVE-2014-0244
  * SECURITY UPDATE: denial of service via bad unicode conversion
    - debian/patches/CVE-2014-3493.patch: refactor code in
      source3/lib/charcnv.c, change return code checks in
      source3/libsmb/clirap.c, source3/smbd/lanman.c.
    - CVE-2014-3493

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 23 Jun 2014 14:58:05 -0400

samba (2:3.6.18-1ubuntu3.2) saucy-security; urgency=medium

  * SECURITY UPDATE: Password lockout not enforced for SAMR password
    changes
    - debian/patches/CVE-2013-4496.patch: refactor password lockout code in
      source3/auth/check_samsec.c,
      source3/rpc_server/samr/srv_samr_chgpasswd.c,
      source3/rpc_server/samr/srv_samr_nt.c,
      source3/smbd/lanman.c,
      source4/rpc_server/samr/samr_password.c,
      source4/torture/rpc/samr.c.
    - CVE-2013-4496

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 17 Mar 2014 08:51:05 -0400

samba (2:3.6.18-1ubuntu3.1) saucy-security; urgency=low

  * SECURITY UPDATE: file restrictions bypass via alternate data streams
    - debian/patches/CVE-2013-4475.patch: properly check base file access
      in source3/smbd/open.c.
    - CVE-2013-4475
  * SECURITY UPDATE: pam_winbind access restriction bypass via invalid
    group names
    - debian/patches/CVE-2012-6150.patch: ensure valid groups in
      nsswitch/pam_winbind.c.
    - CVE-2012-6150
  * SECURITY UPDATE: arbitrary code execution via incorrect DCE-RPC
    fragment length field checking
    - debian/patches/CVE-2013-4408.patch: apply massive upstream fix to
      lib/async_req/async_sock.c, libcli/util/tstream.c,
      librpc/idl/dcerpc.idl, librpc/rpc/dcerpc_util.c,
      librpc/rpc/rpc_common.h, nsswitch/libwbclient/wbc_sid.c,
      nsswitch/wbinfo.c, source3/lib/netapi/{group,localgroup,user}.c,
      source3/lib/util_tsock.c, source3/libnet/libnet_join.c,
      source3/librpc/rpc/dcerpc_helpers.c,
      source3/rpc_client/{cli_lsarpc,cli_pipe}.c,
      source3/rpc_server/netlogon/srv_netlog_nt.c,
      source3/rpcclient/{cmd_lsarpc,cmd_samr}.c, source3/smbd/lanman.c,
      source3/utils/net_rpc.c, source3/utils/net_rpc_join.c,
      source3/winbindd/{wb_lookupsids,winbindd_msrpc,winbindd_rpc}.c,
      source4/libcli/util/clilsa.c, source4/libnet/{groupinfo,groupman,
      libnet_join,libnet_lookup,libnet_passwd,userinfo,userman}.c,
      source4/librpc/rpc/{dcerpc,dcerpc_smb,dcerpc_smb2,dcerpc_sock}.c,
      source4/winbind/wb_async_helpers.c.
    - CVE-2013-4408

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 09 Dec 2013 10:13:51 -0500

samba (2:3.6.18-1ubuntu3) saucy; urgency=low

  * Update config.{guess,sub} for AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Oct 2013 12:01:48 +0200

samba (2:3.6.18-1ubuntu2) saucy; urgency=low

  * /etc/init.d/samba exists again as an init script, so drop ill-fated
    code which tries to remove it in the postinst.  LP: #1216438.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 25 Aug 2013 10:04:09 -0700

samba (2:3.6.18-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + debian/patches/VERSION.patch:
      - set SAMBA_VERSION_SUFFIX to Ubuntu.
    + debian/smb.conf:
      - add "(Samba, Ubuntu)" to server string.
      - comment out the default [homes] share, and add a comment about
        "valid users = %S" to show users how to restrict access to
        \\server\username to only username.
    + debian/samba-common.config:
      - Do not change priority to high if dhclient3 is installed.
      - Use priority medium instead of high for the workgroup question.
    + debian/control:
      - Don't build against or suggest ctdb.
      - Add dependency on samba-common-bin to samba.
    + Add ufw integration:
      - Created debian/samba.ufw.profile
      - debian/rules, debian/samba.install: install profile.
      - debian/control: have samba suggest ufw.
    + Add apport hook:
      - Created debian/source_samba.py.
      - debian/rules, debian/samba-common-bin.install: install hook.
    + d/rules: Drop explicit configuration options for ctdb.
    + debian/samba.logrotate: call upstart interfaces unconditionally instead
      of hacking around with pid files.

 -- James Page <james.page@ubuntu.com>  Wed, 21 Aug 2013 15:39:35 +0100

samba (2:3.6.18-1) unstable; urgency=low

  * Team upload.

  [ Steve Langasek ]
  * Split the samba init script into nmbd and smbd init scripts, for better
    alignment with how init systems other than sysvinit work.  This also
    drops the override of the arguments to update-rc.d in debian/rules,
    no longer needed in the post-insserv world.
  * Add upstart jobs from Ubuntu for smbd, nmbd, and winbind.

  [ Ivo De Decker ]
  * New upstream release

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Tue, 20 Aug 2013 22:06:45 +0200

samba (2:3.6.17-1) unstable; urgency=high

  * Team upload.
  * New upstream security release. Closes: #718781
    Fixes CVE-2013-4124: Denial of service - CPU loop and memory allocation

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Mon, 05 Aug 2013 13:46:23 +0200

samba (2:3.6.16-2) unstable; urgency=high

  * Team upload.
  * Make build-dep on libtevent-dev explicit.
  * Fix waf-as-source.patch to make sure unpacking works in recent build
    environment. Closes: #716932 

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Tue, 16 Jul 2013 22:01:04 +0200

samba (2:3.6.16-1) unstable; urgency=low

  * Team upload.

  [ Steve Langasek ]
  * Drop support for running smbd from inetd; this is not well-supported

