=== debian/rules ===
--- 
+++ 
@@ -96,13 +96,12 @@
 	install -m 0644 debian/winbind.pam-config $(DESTDIR)/usr/share/pam-configs/winbind
 	mkdir -p $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
 	install -m 0644 source3/pkgconfig/wbclient.pc $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
+	install -m 0644 source3/pkgconfig/smbclient.pc $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
 
 	# Install samba-common's conffiles - they'll get moved later to their
 	# correct place by dh_install
 	mkdir -p $(DESTDIR)/etc/dhcp3/dhclient-enter-hooks.d
 	install -m755 debian/samba-common.dhcp $(DESTDIR)/etc/dhcp3/dhclient-enter-hooks.d/samba
-	mkdir -p $(DESTDIR)/etc/network/if-up.d
-	install -o root -g root debian/samba.if-up $(DESTDIR)/etc/network/if-up.d/samba
 
 	# Ubuntu things
 	mkdir -p $(DESTDIR)/etc/ufw/applications.d
@@ -121,9 +120,10 @@
 
 override_dh_installinit:
 ifneq (,$(filter samba, $(shell dh_listpackages)))
-	dh_installinit -psamba --upstart-only --name smbd
-	dh_installinit -psamba --upstart-only --name nmbd
-	dh_installinit -psamba --upstart-only --no-start --name reload-smbd
+	dh_installinit -psamba --name smbd
+	dh_installinit -psamba --name nmbd
+	dh_installinit -psamba --noscripts
+	dh_installinit -psamba --no-start --name reload-smbd
 endif
 ifneq (,$(filter winbind, $(shell dh_listpackages)))
 	dh_installinit -pwinbind
